aboutsummaryrefslogtreecommitdiffstats
path: root/main/isl/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-09-06 10:56:56 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-09-06 11:06:29 +0000
commitb4447b4fce6355fed0834aaf858e5886bc8381f2 (patch)
tree702dffd29462e6f91053ce0300c84b0ae29f39c8 /main/isl/APKBUILD
parenta69a5f0212117b420ce782a7a25a47a6ead91009 (diff)
downloadaports-b4447b4fce6355fed0834aaf858e5886bc8381f2.tar.gz
aports-b4447b4fce6355fed0834aaf858e5886bc8381f2.tar.bz2
aports-b4447b4fce6355fed0834aaf858e5886bc8381f2.tar.xz
main/isl: fix musl build, add cross build support
Diffstat (limited to 'main/isl/APKBUILD')
-rw-r--r--main/isl/APKBUILD4
1 files changed, 3 insertions, 1 deletions
diff --git a/main/isl/APKBUILD b/main/isl/APKBUILD
index 1d9d0ef2ce..0e900269c9 100644
--- a/main/isl/APKBUILD
+++ b/main/isl/APKBUILD
@@ -9,7 +9,8 @@ arch="all"
license="MIT"
depends=
depends_dev="gmp-dev"
-makedepends="$depends_dev"
+makedepends_host="$depends_dev"
+makedepends="$makedepends_host"
replaces="cloog"
install=""
subpackages="$pkgname-dev"
@@ -19,6 +20,7 @@ _builddir="$srcdir"/$pkgname-$pkgver
prepare() {
local i
cd "$_builddir"
+ update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;